#ifndef _LOG_H
#define _LOG_H

#include <stdio.h>



/*
ANSI C׼м׼Ԥ꣨Ҳǳõģ
__LINE__Դв뵱ǰԴкţ
__FILE__Դļв뵱ǰԴļ 
__DATE__Դļв뵱ǰı
__TIME__Դļв뵱ǰʱ䣻
__STDC__ҪϸѭANSI C׼ʱñʶֵΪ1
__cplusplusдC++ʱñʶ塣
*/


#define YSP_DEBUG 0   //ܵ,printfӡ,0¼־ļ 

#define TRACE_DEBUG        			1
#define ERROR_DEBUG        			2  //ҪرΪ0 
#define ACTION_DEBUG       			4  
#define COMUNICATION_TRACE_DEBUG 	8
#define COMUNICATION_EEROR_DEBUG 	16
#define PARA_TRACE_DEBUG   			32 
#define PARA_ERROR_DEBUG   			64
#define ANALYSIS_TRACE_DEBUG 		128
#define ANALYSIS_EEROR_DEBUG 		256
#define IEC61850_TRACE_DEBUG 		512
#define IEC61850_ERROR_DEBUG 		1024
#define DEBUG_ALL          0xFFFFFFFF

extern unsigned int debug_flags;
extern void my_log_init(void);
extern void do_my_log(const char *fmt,...);
extern void remove_old_log(unsigned int rsv_time);

#if YSP_DEBUG
#define LOG_DEBUG(flag,fmt,...)\
	do{\
		if(debug_flags&flag){\
			printf(fmt,##__VA_ARGS__);}\
		}while(0)
#else
#define LOG_DEBUG(flag,fmt,...)\
	do{\
		if(debug_flags&flag){\
			do_my_log(fmt,##__VA_ARGS__);}\
		}while(0)
#endif

/** lower two bits indicate debug level
 * - 0 all
 * - 1 warning
 * - 2 serious
 * - 3 severe
 */
#define LWIP_DBG_LEVEL_ALL     0x00
#define LWIP_DBG_LEVEL_OFF     LWIP_DBG_LEVEL_ALL /* compatibility define only */
#define LWIP_DBG_LEVEL_WARNING 0x01 /* bad checksums, dropped packets, ... */
#define LWIP_DBG_LEVEL_SERIOUS 0x02 /* memory allocation failures, ... */
#define LWIP_DBG_LEVEL_SEVERE  0x03
#define LWIP_DBG_MASK_LEVEL    0x03

/** flag for LWIP_DEBUGF to enable that debug message */
#define LWIP_DBG_ON            0x80U
/** flag for LWIP_DEBUGF to disable that debug message */
#define LWIP_DBG_OFF           0x00U

/** flag for LWIP_DEBUGF indicating a tracing message (to follow program flow) */
#define LWIP_DBG_TRACE         0x40U
/** flag for LWIP_DEBUGF indicating a state debug message (to follow module states) */
#define LWIP_DBG_STATE         0x20U
/** flag for LWIP_DEBUGF indicating newly added code, not thoroughly tested yet */
#define LWIP_DBG_FRESH         0x10U
/** flag for LWIP_DEBUGF to halt after printing this debug message */
#define LWIP_DBG_HALT          0x08U



#endif

